textures/turbodm02/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 30
	q3map_lightimage textures/common/white.tga
	q3map_lightsubdivide 512
	q3map_sun .988 .96 .84 200 360 5
	skyparms env/xnight2 256 -
	qer_editorimage textures/turbodm02/sky.tga
	{
		map textures/turbodm02/sky.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.015 0.016
		tcMod scale 3 3
	}
}

textures/turbodm02/smog
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0.5 0.5 0.45 ) 768
	qer_editorimage textures/sfx/fog_yel.tga
	qer_trans 0.3
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/turbodm02/clangdark_ow3
{    
	surfaceparm metalsteps	   
        {
		map textures/sfx/proto_zzztblu2.tga
		blendFunc GL_ONE GL_ZERO		
		tcMod turb 0 .5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
		rgbGen identity
	}
        {
		map textures/turbodm02/clangdark_ow3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/turbodm02/clang_floor_cspot
{    
	{
		map textures/liquids/proto_grueldark2.tga
		blendFunc GL_ONE GL_ZERO
		tcmod scale 2 2
		tcMod scroll .01 .03
		tcMod turb 0 0.05 0 .05
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
	{
		map textures/turbodm02/clang_floor_cspot.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/turbodm02/door_light
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	qer_editorimage textures/base_light/wsupprt1_12.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave triangle 1 5 1 1
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave triangle 1 2 0 1.5
	}
}

textures/turbodm02/stair_light
{
	surfaceparm nomarks
	q3map_surfacelight 100
	qer_editorimage textures/base_light/jaildr1_3.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/jaildr1_3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/jaildr1_3.blend.tga
		rgbGen wave sin 0.7 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/turbodm02/ceiling_glow
{
	q3map_surfacelight 80
	q3map_lightimage textures/turbodm02/xian_dm3padwallglow.tga
	q3map_globaltexture
	qer_editorimage textures/sfx/xian_dm3padwall.tga
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/turbodm02/xian_dm3padwallglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}

textures/turbodm02/border_glow
{
	q3map_surfacelight 130
	q3map_lightimage textures/base_trim/border11c_pulse1.tga
	q3map_globaltexture
	qer_editorimage textures/base_trim/border11c.tga
	{
		map textures/base_trim/border11c.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border11c_light.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.9 0.2 0 1.5
	}
	{
		map textures/turbodm02/border11c_pulse1b.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0
	}
}

textures/turbodm02/darkplasma
{
	surfaceparm nolightmap
	q3map_globaltexture
	qer_editorimage textures/liquids/proto_poolpass.tga
	{
		map textures/liquids/proto_gruel2.tga
		tcMod scale .5 .6
		tcMod turb .1 .25 0 -.1
	}
	{
		map textures/liquids/proto_poolpass.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .2 .2
		tcMod turb .1 .25 0 .07
	}
	{
		map textures/sfx/bolts.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .2 .2
		tcMod scroll .1 .1
		tcmod rotate 290
	}
	{
		map textures/turbodm02/glass.tga
		tcGen environment
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}	
}

textures/turbodm02/tdm02banner
{
	q3map_surfacelight 100
	{
		map textures/base_wall/comp3textb.tga
		rgbGen identity
		tcmod scroll 7 5
	}
	{
		map textures/turbodm02/tdm02banner.tga
		rgbGen wave inversesawtooth -0.6 2 0 0.2
		blendfunc add
	}
	{
		map textures/turbodm02/tdm02banner2.tga
		rgbGen wave inversesawtooth 0 1 0.7 0.2
		blendfunc add
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/turbodm02/glass
{
	surfaceparm trans
	surfaceparm nolightmap
	qer_trans 0.3
	{
		map textures/turbodm02/glass.tga
		tcGen environment
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}
